Skip to content
GuidesPlaygroundDashboard

Create a new dataset (admin only)

POST/api/v1/datasets

Create a new dataset (admin only)

Body ParametersJSONExpand Collapse
name: string

Dataset name

slug: string

URL-friendly slug

attribution: optional string

Attribution text

description: optional string

Dataset description

license: optional string

License identifier

source_url: optional string

Source data URL

ReturnsExpand Collapse
Dataset = object { id, inserted_at, name, 6 more }
id: string

Dataset ID

formatuuid
inserted_at: string

Creation timestamp

formatdate-time
name: string

Dataset name

slug: string

URL-friendly slug

updated_at: string

Last update timestamp

formatdate-time
attribution: optional string

Attribution text

description: optional string

Dataset description

license: optional string

License identifier

source_url: optional string

Source data URL

Create a new dataset (admin only)

curl https://plaza.fyi/api/v1/datasets \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $PLAZA_API_KEY" \
    -d '{
          "name": "name",
          "slug": "slug"
        }'
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "inserted_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "slug": "slug",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "attribution": "attribution",
  "description": "description",
  "license": "license",
  "source_url": "source_url"
}
Returns Examples
{
  "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "inserted_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "slug": "slug",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "attribution": "attribution",
  "description": "description",
  "license": "license",
  "source_url": "source_url"
}